version: '3.8'

services:
  runner:
    build: .
    restart: unless-stopped
    volumes: 
      - /var/run/docker.sock:/var/run/docker.sock
      - data-volume:/etc/gitlab-runner
    environment:
    # Note: these environmental variables configure `gitlab-runner register` directly. 
    # Run `gitlab-runner register --help` to see all the options, or look at options.txt in this repo
      REGISTER_NON_INTERACTIVE: "true"
      CI_SERVER_URL: https://gitlab.com
      RUNNER_EXECUTOR: docker
      DOCKER_IMAGE: alpine:latest
      DOCKER_PRIVILEGED: "true"
      # RUNNER_NAME: This comes from the secrets file
      # REGISTRATION_TOKEN: This comes from the secrets file

    secrets:
      - registration_token
      
secrets:
  registration_token:
    file: registration_token.sh

volumes:
  data-volume:
